'use strict';

import { ComoNestUtils } from "como-nestjs-utils";

//基类控制器
export class BaseController {

    /**
     * 成功返回
     * @param data
     * @param message
     * @param Code
     */
    SUCCESS<T>(data:T,message?:string,Code?:number) {
        return ComoNestUtils.Ins.AppResult<T>(message ?? 'SUCCESS',data,false,Code ?? 0);
    }
    /**
     * 错误返回
     * @param message
     * @param data
     * @param Code
     */
    ERROR<T>(message:string,data:T,Code?:number) {
        return ComoNestUtils.Ins.AppResult<T>(message,data,true,Code ?? 0);
    }
}